GET /stations/{stationId}/observations
weather.gov:national-weather-service-api
Summary: —
Operation ID: station_observation_list
Auth: unknown
Operation ID: station_observation_list
Auth: unknown
Description
Returns a list of observations for a given station
Parameters (5)
cursor
(string, query, optional)
Pagination cursor
end
(string, query, optional)
End time
limit
(integer, query, optional)
Limit
Constraints: {'minimum': 1, 'maximum': 500}
start
(string, query, optional)
Start time
stationId
(string, path, required)
Observation station ID
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Get recent observations for New York City station | curl |
https://api.weather.gov/stations/KNYC/observations |
|
| Get observations with limit | curl |
https://api.weather.gov/stations/KORD/observations?limit=10 |
|
| Get observations for a specific time range | curl |
https://api.weather.gov/stations/KLAX/observations?start=2024-01-01T00:00:00Z&end=2024-01-02T00:00:00Z |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:04:20.397166 | 200 | 266ms | |
| 2026-03-23 10:49:41.722076 | 200 | 465ms | |
| 2026-03-23 09:09:00.586889 | 200 | 174ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:49:41.722076 | 5d64f716c663 |
a59a1df06b9b |
| 2026-03-23 11:04:20.397166 | a59a1df06b9b |
d4685d72aff9 |